#ifndef __JABYENGINE_GPU_TYPES_HPP__
#define __JABYENGINE_GPU_TYPES_HPP__
#include "../jabyengine_defines.h"

namespace GPU {
    struct Color {
        uint8_t red   = 0;
        uint8_t green = 0;
        uint8_t blue  = 0;        

        constexpr Color() = default;
        constexpr Color(uint8_t r, uint8_t g, uint8_t b) : blue(b), green(g), red(r) {
        }

        constexpr uint32_t raw() const {
            return ((this->blue << 16) | (this->green << 8) | this->red);
        }
    };
}

#endif //!__JABYENGINE_GPU_TYPES_HPP__